/**Begin C:\Users\RD_geores_li\Desktop\开发工具箱\PDM_UPGRADE\PDMNEW\FPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FPM_MEMBER_E') 
 CREATE TABLE T_FPM_MEMBER_E (
FID BIGINT DEFAULT 0 NOT NULL,
FBODYSYSMANAGE BIGINT DEFAULT 0 NOT NULL,
FFLOW VARCHAR(5) DEFAULT ' ' NOT NULL,
FBEGINORENDMARK VARCHAR(5) DEFAULT ' ' NOT NULL,
FLINKSUBJECT BIGINT DEFAULT 0 NOT NULL,
FWAYS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(100) DEFAULT ' ' NOT NULL,
FFORMULAVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMULAVALUE_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FPM_MEMBER') 
 CREATE TABLE T_FPM_MEMBER (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDIMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FPM_MEMBER_L') 
 CREATE TABLE T_FPM_MEMBER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End C:\Users\RD_geores_li\Desktop\开发工具箱\PDM_UPGRADE\PDMNEW\FPM_table.sql **/
